<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" fixedInViewport="true" [attr.role]="isHandset ? 'dialog' : 'navigation'" [mode]="(isHandset | async)!.matches ? 'over' : 'side'"
    [opened]="!(isHandset | async)!.matches">

    <mat-toolbar color="primary">
      <span class="logo">Machine test</span>
    </mat-toolbar>
    <mat-nav-list>
      <a mat-list-item routerLink="{{menu.path}}" routerLinkActive="active-link" *ngFor="let menu of sidebarMenu">
        <span class="menu-name">{{menu.name}}</span>
      </a>
    </mat-nav-list>


  </mat-sidenav> 
  <mat-sidenav-content class="sidenav-color">
    <mat-toolbar color="primary" class="mat-elevation-z4">
      <button type="button" aria-label="Toggle sidenav" mat-icon-button (click)="drawer.toggle()" *ngIf="(isHandset | async)!.matches">
        <mat-icon aria-label="Side nav toggle icon" style="color: #ffffff">menu</mat-icon>
      </button> 
      <span class="toolbar-name">{{usertype.user}}, {{usertype.name}}</span>&nbsp;
   
      <div style="flex-grow:1;"></div>
      <button mat-icon-button (click)="logout()">
        <mat-icon matTooltip="Logout" style="color:white"> 
          <a>power_settings_new</a>
        </mat-icon>   
      </button>
    </mat-toolbar> 
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>